<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * eventobservers class
 *
 * @package    block_rate
 * @copyright  2024 Eduardo Kraus {@link http://eduardokraus.com}
 * @copyright  2009 Jenny Gray
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace block_rate;

/**
 * Class eventobservers
 *
 * @package block_rate
 */
class eventobservers {
    /**
     * Function course_deleted
     *
     * @param \core\event\course_deleted $event
     *
     * @return bool
     * @throws \dml_exception
     */
    public static function course_deleted($event) {
        global $DB;

        return $DB->delete_records("block_rate", ["course" => $event->get_data()["objectid"]]);
    }
}
